/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { AnnotationLayerDescription } from "./AnnotationLayerDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let CalloutLayerDescription = /*@__PURE__*/ (() => {
    class CalloutLayerDescription extends AnnotationLayerDescription {
        get_type() {
            return "CalloutLayer";
        }
        constructor() {
            super();
            this.gn = null;
            this.gr = null;
            this.gs = null;
            this.gm = null;
            this.fe = false;
            this.gl = null;
            this.go = null;
            this.gp = null;
            this.gk = null;
            this.fb = null;
            this.fd = false;
            this.fh = false;
            this.fi = false;
            this.fj = false;
            this.f9 = null;
            this.fr = 0;
            this.fg = false;
            this.ff = false;
            this.f5 = 0;
            this.gj = null;
            this.ga = null;
            this.f6 = 0;
            this.gf = null;
            this.ge = null;
            this.ft = 0;
            this.fv = 0;
            this.fu = 0;
            this.fs = 0;
            this.gb = null;
            this.fw = 0;
            this.fx = 0;
            this.gq = null;
            this.gi = null;
            this.gg = null;
            this.gc = null;
            this.gd = null;
            this.gh = null;
        }
        get labelMemberPath() {
            return this.gn;
        }
        set labelMemberPath(a) {
            this.gn = a;
            this.g("LabelMemberPath");
        }
        get xMemberPath() {
            return this.gr;
        }
        set xMemberPath(a) {
            this.gr = a;
            this.g("XMemberPath");
        }
        get yMemberPath() {
            return this.gs;
        }
        set yMemberPath(a) {
            this.gs = a;
            this.g("YMemberPath");
        }
        get keyMemberPath() {
            return this.gm;
        }
        set keyMemberPath(a) {
            this.gm = a;
            this.g("KeyMemberPath");
        }
        get isCalloutOffsettingEnabled() {
            return this.fe;
        }
        set isCalloutOffsettingEnabled(a) {
            this.fe = a;
            this.g("IsCalloutOffsettingEnabled");
        }
        get contentMemberPath() {
            return this.gl;
        }
        set contentMemberPath(a) {
            this.gl = a;
            this.g("ContentMemberPath");
        }
        get targetSeriesName() {
            return this.go;
        }
        set targetSeriesName(a) {
            this.go = a;
            this.g("TargetSeriesName");
        }
        get targetSeriesRef() {
            return this.gp;
        }
        set targetSeriesRef(a) {
            this.gp = a;
            this.g("TargetSeriesRef");
        }
        get collisionChannel() {
            return this.gk;
        }
        set collisionChannel(a) {
            this.gk = a;
            this.g("CollisionChannel");
        }
        get allowedPositions() {
            return this.fb;
        }
        set allowedPositions(a) {
            this.fb = a;
            this.g("AllowedPositions");
        }
        get isAutoCalloutBehaviorEnabled() {
            return this.fd;
        }
        set isAutoCalloutBehaviorEnabled(a) {
            this.fd = a;
            this.g("IsAutoCalloutBehaviorEnabled");
        }
        get useInterpolatedValueForAutoCalloutLabels() {
            return this.fh;
        }
        set useInterpolatedValueForAutoCalloutLabels(a) {
            this.fh = a;
            this.g("UseInterpolatedValueForAutoCalloutLabels");
        }
        get useSeriesColorForOutline() {
            return this.fi;
        }
        set useSeriesColorForOutline(a) {
            this.fi = a;
            this.g("UseSeriesColorForOutline");
        }
        get useValueForAutoCalloutLabels() {
            return this.fj;
        }
        set useValueForAutoCalloutLabels(a) {
            this.fj = a;
            this.g("UseValueForAutoCalloutLabels");
        }
        get autoCalloutVisibilityMode() {
            return this.f9;
        }
        set autoCalloutVisibilityMode(a) {
            this.f9 = a;
            this.g("AutoCalloutVisibilityMode");
        }
        get calloutCornerRadius() {
            return this.fr;
        }
        set calloutCornerRadius(a) {
            this.fr = a;
            this.g("CalloutCornerRadius");
        }
        get isCustomCalloutStyleEnabled() {
            return this.fg;
        }
        set isCustomCalloutStyleEnabled(a) {
            this.fg = a;
            this.g("IsCustomCalloutStyleEnabled");
        }
        get isCustomCalloutRenderStyleEnabled() {
            return this.ff;
        }
        set isCustomCalloutRenderStyleEnabled(a) {
            this.ff = a;
            this.g("IsCustomCalloutRenderStyleEnabled");
        }
        get autoCalloutLabelPrecision() {
            return this.f5;
        }
        set autoCalloutLabelPrecision(a) {
            this.f5 = a;
            this.g("AutoCalloutLabelPrecision");
        }
        get calloutTextColor() {
            return this.gj;
        }
        set calloutTextColor(a) {
            this.gj = a;
            this.g("CalloutTextColor");
        }
        get calloutBackground() {
            return this.ga;
        }
        set calloutBackground(a) {
            this.ga = a;
            this.g("CalloutBackground");
        }
        get calloutInterpolatedValuePrecision() {
            return this.f6;
        }
        set calloutInterpolatedValuePrecision(a) {
            this.f6 = a;
            this.g("CalloutInterpolatedValuePrecision");
        }
        get calloutOutline() {
            return this.gf;
        }
        set calloutOutline(a) {
            this.gf = a;
            this.g("CalloutOutline");
        }
        get calloutLeaderBrush() {
            return this.ge;
        }
        set calloutLeaderBrush(a) {
            this.ge = a;
            this.g("CalloutLeaderBrush");
        }
        get calloutPaddingLeft() {
            return this.ft;
        }
        set calloutPaddingLeft(a) {
            this.ft = a;
            this.g("CalloutPaddingLeft");
        }
        get calloutPaddingTop() {
            return this.fv;
        }
        set calloutPaddingTop(a) {
            this.fv = a;
            this.g("CalloutPaddingTop");
        }
        get calloutPaddingRight() {
            return this.fu;
        }
        set calloutPaddingRight(a) {
            this.fu = a;
            this.g("CalloutPaddingRight");
        }
        get calloutPaddingBottom() {
            return this.fs;
        }
        set calloutPaddingBottom(a) {
            this.fs = a;
            this.g("CalloutPaddingBottom");
        }
        get calloutCollisionMode() {
            return this.gb;
        }
        set calloutCollisionMode(a) {
            this.gb = a;
            this.g("CalloutCollisionMode");
        }
        get calloutPositionPadding() {
            return this.fw;
        }
        set calloutPositionPadding(a) {
            this.fw = a;
            this.g("CalloutPositionPadding");
        }
        get calloutStrokeThickness() {
            return this.fx;
        }
        set calloutStrokeThickness(a) {
            this.fx = a;
            this.g("CalloutStrokeThickness");
        }
        get textStyle() {
            return this.gq;
        }
        set textStyle(a) {
            this.gq = a;
            this.g("TextStyle");
        }
        get calloutStyleUpdatingRef() {
            return this.gi;
        }
        set calloutStyleUpdatingRef(a) {
            this.gi = a;
            this.g("CalloutStyleUpdatingRef");
        }
        get calloutRenderStyleUpdatingRef() {
            return this.gg;
        }
        set calloutRenderStyleUpdatingRef(a) {
            this.gg = a;
            this.g("CalloutRenderStyleUpdatingRef");
        }
        get calloutContentUpdatingRef() {
            return this.gc;
        }
        set calloutContentUpdatingRef(a) {
            this.gc = a;
            this.g("CalloutContentUpdatingRef");
        }
        get calloutLabelUpdatingRef() {
            return this.gd;
        }
        set calloutLabelUpdatingRef(a) {
            this.gd = a;
            this.g("CalloutLabelUpdatingRef");
        }
        get calloutSeriesSelectingRef() {
            return this.gh;
        }
        set calloutSeriesSelectingRef(a) {
            this.gh = a;
            this.g("CalloutSeriesSelectingRef");
        }
    }
    CalloutLayerDescription.$t = /*@__PURE__*/ markType(CalloutLayerDescription, 'CalloutLayerDescription', AnnotationLayerDescription.$);
    return CalloutLayerDescription;
})();
